# XMLWriter::endDtd

# xmlwriter_end_dtd

(PHP 5 >= 5.1.2, PHP 7, PECL xmlwriter >= 0.1.0)

XMLWriter::endDtd -- xmlwriter_end_dtd — End current DTD

### Description

Object oriented style

XMLWriter::endDtd ( void ) : bool

Procedural style

xmlwriter_end_dtd ( resource `$xmlwriter` ) : bool

Ends the DTD of the document.

### Parameters

`xmlwriter`

  Only for procedural calls. The XMLWriter resource that is being modified. This resource comes from a call to xmlwriter_open_uri() or xmlwriter_open_memory().

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- XMLWriter::startDtd() - Create start DTD tag
- XMLWriter::writeDtd() - Write full DTD tag